void readButtons() {
  powerButtonState = digitalRead(powerButtonPin);

  if (powerButtonState == LOW) {

    // Sets brightness to zero when pressing the button
    analogWrite(headlightPwmPin, 255);
    analogWrite(rearPwmPin, 255);

    delayCounts = 0;

    // While the button is pressed, time how long it was pressed.
    while (powerButtonState == LOW) {
      delay(debounceDelay);
      delayCounts++;
      powerButtonState = digitalRead(powerButtonPin);
    }

    if (delayCounts <= 1) {
      if (modeType == 0) {
        if (mode < dayModesTop) {
          mode++;
        }
        else if (mode >= dayModesTop) {
          mode = 0;
        }
      }
      else if (modeType == 1) {
        if (mode < nightModesTop) {
          mode++;
        }
        else if (mode >= nightModesTop) {
          mode = dayModesTop + 1;
        }
      }
      else if (modeType == 2) {
        if (mode < otherModesTop) {
          mode++;
        }
        else if (mode >= otherModesTop) {
          mode = nightModesTop + 1;
        }
      }
    }
    else if (delayCounts > 1 && delayCounts <= 3) {
      sleepNow();
    }
    else if (delayCounts > 3) {

      if (modeType < modeTypeTop) {
        modeType++;
      }
      else if (modeType >= modeTypeTop) {
        modeType = 0;
      }

      if (modeType == 0) {
        mode = 0;
      }
      else if (modeType == 1) {
        mode = dayModesTop + 1;
      }
      else if (modeType == 2) {
        mode = nightModesTop + 1;
      }
    }
  }
}

